/* ----- ACCUEIL ----- */

.section_haut_accueil {
    display: flex;
    align-items: center; 
    justify-content: center;
    margin-top: 120px;
    position: relative;
    flex-direction: column ;
    width: 100%;

    /* margin-left: -2rem; 
    margin-right: -2rem; */
}

.section_haut_accueil img {
    width: 100%;
    /* padding-top: 40px; */
    max-height: 513px;
    max-width: 1536px;
    /* border: red solid 1px; */
}


.all_accueil {
    position: relative;
    background: url("../img/fond_bois2.jpg");
    background-size: 100% auto; /* Conserve la même taille que ton code initial */
    background-position: center;
    padding: 2rem;
}

.all_accueil::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.3);
    z-index: 1;
}

.all_accueil > * {
    position: relative;
    z-index: 2;
}



/* Styles pour les cartes */
.carte {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: rgba(0, 0, 0, 0.932);
    color: white;
    padding: 4rem;
    border-radius: 10px;
    box-shadow: 0 32px 64px rgba(0, 0, 0, 0.651), 0 24px 45px rgba(0, 0, 0, 0.651);
    margin: auto;
    margin-top: 4rem;
    /* width: 80%; */
    max-width: 1280px;
}


.carte p {
    font-size: larger;
}

.carte h1 {
    margin-bottom: 4rem;
    text-align: center;
}

.carte-photo {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    margin: 6rem auto;
    /* padding: 0 3rem; */
    max-width: 1500px;
    /* flex-wrap: wrap; */
    /* border: magenta 2px solid; */
}

.img_accueil {
    display: flex;
    flex: 1;
    max-width: 400px;
    align-items: center;
    justify-content: center;
    background-color: white;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 70px;
    padding-top: 20px;
    position: relative;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.9), 0 3px 6px rgba(0, 0, 0, 0.8), 0 1px 3px rgba(0, 0, 0, 0.7);
    border-radius: 10px;
}


.fab-a-mado-signature {
        text-align: right;
        display: block;
        margin-right: 0;
        width: 100%;
        font-size: x-large;
}

/*-- Effet punaises --*/

.img_accueil::before, 
.img_accueil::after {
    content: '';
    position: absolute;
    width: 30px; /* Ajustez la taille selon vos besoins */
    height: 30px;
    background-image: url('../img/icon/punaise.png'); /* Chemin vers l'image de la punaise */
    background-size: cover;
    background-repeat: no-repeat;
    z-index: 10; /* Assure que les punaises apparaissent au-dessus */
}

.img_accueil::before {
    top: -10px; /* Positionnement au-dessus du conteneur */
    left: -5px; /* Coin supérieur gauche */
}

.img_accueil::after {
    top: -10px; /* Positionnement au-dessus du conteneur */
    right: -5px; /* Coin supérieur droit */
}


.img_accueil img {
    border-radius: 10px;
    /* max-width: 400px;
    max-height: 400px; */
    max-width: 100%; /* Adapte l'image à la largeur de son conteneur */
    height: auto; 
}

.carte-photo .texte {
    background-color: rgba(0, 0, 0, 0.925);
    padding: 4rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    flex: 1;
    max-width: 600px;
    border-radius: 10px;
    box-shadow: 0 16px 32px rgba(0, 0, 0, 0.651), 0 12px 20px rgba(0, 0, 0, 0.651);
}

.carte-photo .texte h1 {
    max-width: 100%; 
    text-transform: uppercase;
    font-size: 1.8rem;
    margin-bottom: 2rem;
    color: white;
    text-align: center;
    /* overflow-wrap: break-word;
    hyphens: auto; */
}

.carte-photo .texte p {
    font-size: 1rem;
    color: white;
    line-height: 1.6;
}

/* Inversion des sections pour alterner texte et image */
.carte-photo.inverser {
    flex-direction: row-reverse;
}

/*Margin bottom pour la derniere carte*/
.carte-photo.last {
    margin-bottom: 5rem;
}


/*
Small 640px
Middle 768px
Large 1024px
xl 1280px
2xl 1536px
*/

@media (max-width: 1100px) {
    .section_haut_accueil h1 {
        font-size: x-large
    }
}

@media (max-width: 800px) {
    .section_haut_accueil h1 {
        font-size: large;
    }
}

    

@media (max-width: 850px) {
    .carte {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .carte-photo, .carte-photo.inverser {
        flex-direction: column;
    }

}


@media (max-width: 680px) {
    .carte h1 {
        font-size: x-large;
    }

    .carte p{
        font-size: medium;
    }

    .carte-photo .texte {
        padding: 2rem;
    }
}

@media (max-width: 450px) {

    .carte {
        padding: 2rem;
    }

    /* .carte h1 {
        font-size: large;
    } */

    .carte-photo.inverser .texte h1, .carte-photo .texte h1 {
        font-size: large;
    }

    .fab-a-mado-signature {
        font-size: large;
    }
}


/* Animation Image GSAP*/

.mask {
    visibility: hidden;
    position: relative;
    overflow: hidden;
}
